vty-unix-0.2.0.0: Unix backend for Vty

Safe Haskell | None
Language | Haskell2010

Graphics.Vty.Platform.Unix

Description

The Unix implementation entry point for Vty. This module and `Graphics.Vty.Platform.Unix.Settings` are the only modules you should ever need to import from this package; the rest is exported for testing purposes only.

This module provides `mkVty` to create Vty handles for Unix terminals. Once a `Vty` handle has been created, the rest of Vty's API can be used it with as usual; see the `vty` package for details.

Synopsis

- mkVty :: VtyUserConfig -> IO Vty
- mkVtyWithSettings :: VtyUserConfig -> UnixSettings -> IO Vty

# Documentation

mkVty Source #

Arguments

:: VtyUserConfig | The user's Vty configuration or the result of `defaultConfig`.
-> IO Vty |

Create a Vty handle. At most one handle should be created at a time for a given terminal device. Uses the default values for `UnixSettings`. If you need to override those, use `mkVtyWithSettings`.

This may raise `VtyUnixConfigurationError`.

mkVtyWithSettings Source #

Arguments

:: VtyUserConfig | The user's Vty configuration or the result of `defaultConfig`.
-> UnixSettings | Runtime settings.
-> IO Vty |

Create a Vty handle. At most one handle should be created at a time for a given terminal device.

This also uses the value of `TERM` to attempt to load and install a Unicode character width table map. For details, see `installUnicodeWidthTable`.

This may raise `VtyUnixConfigurationError`.